Skip to main content
POST
Find relevant passages inside one saved library item

Authorizations

Authorization
string
header
required

Clerk OAuth 2.0 Authorization Code flow with PKCE. Request the minimum scope required by the operation.

Path Parameters

id
string
required

Identifier of the resource, as returned by the matching list or create operation. UUID that identifies the resource; pass it back exactly as smry returned it.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Body

query
string
required
Required string length: 1 - 500
maxTokens
integer
Required range: 100 <= x <= 25000
maxPassages
integer
Required range: 1 <= x <= 25
cursor
integer
Required range: x >= 0

Response

Find relevant passages inside one saved library item.

id
string
required

UUID that identifies the resource; pass it back exactly as smry returned it.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
title
string
required
contentKind
enum<string>
required
Available options:
article,
website,
book,
email,
pdf,
social_post,
video,
podcast_episode,
document,
unknown
query
string
required
totalBlocks
number
required
totalTokens
number
required
matchedBlocks
number
required
tokensReturned
number
required
nextCursor
number | null
required
passages
object[]
required
Last modified on September 13, 2026